Subject: Re: INITCOMMONCONTROLSEX (undeclared first use this...
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Mon, 11 Apr 2005 00:38:52 -0700

[email-masked] wrote:

> Exercise.cpp:18: error: `INITCOMMONCONTROLSEX' undeclared (first use this
> function)
> Exercise.cpp:18: error: (Each undeclared identifier is reported only once for
> each function it appears in.)
> Exercise.cpp:18: error: parse error before `;' token
> Exercise.cpp:20: error: `InitCtrlEx' undeclared (first use this function)
> Exercise.cpp:22: error: `InitCommonControlsEx' undeclared (first use this
> function)

Take a look at commctrl.h - that function and structure is guarded by
"#if (_WIN32_IE >= 0x0300)".  You should define _WIN32_IE to IE3 or
higher to activate that support.  See the end of w32api.h for the list
of values.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/